"the next version is supposed to be better"<br><br>This should be a mandatory label on all software with Mac system requirements.<br><br>
_________________________